List all scrape jobs
curl --request GET \
--url https://api.avidoai.com/v0/scrape-jobs \
--header 'x-api-key: <api-key>' \
--header 'x-application-id: <api-key>'import requests
url = "https://api.avidoai.com/v0/scrape-jobs"
headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};
fetch('https://api.avidoai.com/v0/scrape-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-05T12:34:56.789Z",
"modifiedAt": "2024-01-05T12:34:56.789Z",
"orgId": "org_123",
"applicationId": "456e4567-e89b-12d3-a456-426614174000",
"initiatedBy": "user_123",
"name": "Documentation Scrape",
"url": "https://example.com",
"status": "PENDING",
"quickstartStatus": "NOT_ASSOCIATED",
"pages": [
{
"url": "https://example.com/page1",
"title": "Page 1",
"description": "This is the first page of the documentation.",
"category": "Documentation"
},
{
"url": "https://example.com/page2"
}
],
"failedPages": [
{
"url": "https://example.com/page3",
"error": "Connection timeout after 5 retries"
}
]
}
],
"pagination": {
"skip": 0,
"limit": 25,
"total": 100,
"totalPages": 4,
"totalCount": 100
},
"totalPageCount": 1050
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Resource not found"
}{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}{
"message": "Resource not found"
}Scrape Jobs
List all scrape jobs
GET
/
v0
/
scrape-jobs
List all scrape jobs
Authorizations
Your unique Avido API key
Your unique Avido Application ID
Query Parameters
Number of items to skip before starting to collect the result set.
Required range:
0 <= x <= 9007199254740991Example:
0
Number of items to include in the result set.
Required range:
1 <= x <= 100Example:
25
Field to order the result set by.
Available options:
createdAt, modifiedAt, name, url, status, id Example:
"createdAt"
Order direction.
Available options:
asc, desc Example:
"desc"
Filter by quickstart ID
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Scrape jobs retrieved successfully
Paginated response containing a list of scrape jobs
Show child attributes
Show child attributes
Pagination metadata returned in a paginated response.
Show child attributes
Show child attributes
Total number of scraped pages across all scrape jobs
Required range:
-9007199254740991 <= x <= 9007199254740991Example:
1050